cURL
curl --request GET \
--url https://api.yoshi.ai/v1/accounts \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
accounts = client.accounts.list()
print(accounts.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const accounts = await client.accounts.list();
console.log(accounts.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
accounts, err := client.Accounts.List(context.TODO(), yoshi.AccountListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", accounts.Data)
}
yoshi accounts list \
--api-key 'My API Key'{
"data": {
"accounts": [
{
"id": "<string>",
"name": "<string>",
"mask": "<string>",
"type": "<string>",
"subtype": "<string>",
"status": "open",
"connection_status": "<string>",
"updated_at": "<string>",
"balance_available": 123,
"balance_current": 123,
"balance_limit": 123,
"as_of": "<string>",
"institution_name": "<string>",
"institution_logo": "<string>",
"external_source": "<string>",
"next_payment_due_date": "<string>",
"interest_rate_percentage": 123,
"hidden": true,
"apy_percent_display": "<string>"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Accounts
List accounts
List linked financial accounts with display metadata and public lifecycle status.
GET
/
accounts
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/accounts \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
accounts = client.accounts.list()
print(accounts.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const accounts = await client.accounts.list();
console.log(accounts.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
accounts, err := client.Accounts.List(context.TODO(), yoshi.AccountListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", accounts.Data)
}
yoshi accounts list \
--api-key 'My API Key'{
"data": {
"accounts": [
{
"id": "<string>",
"name": "<string>",
"mask": "<string>",
"type": "<string>",
"subtype": "<string>",
"status": "open",
"connection_status": "<string>",
"updated_at": "<string>",
"balance_available": 123,
"balance_current": 123,
"balance_limit": 123,
"as_of": "<string>",
"institution_name": "<string>",
"institution_logo": "<string>",
"external_source": "<string>",
"next_payment_due_date": "<string>",
"interest_rate_percentage": 123,
"hidden": true,
"apy_percent_display": "<string>"
}
]
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Query Parameters
Available options:
open, closed, all Available options:
true, false Response
200 - application/json
Accounts retrieved.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Available options:
open, closed Last modified on June 18, 2026
Was this page helpful?